## Create price list

### cURL

```bash
curl --request POST \
  --url https://api.fabric.inc/v3/price-lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "name": "US price list",
  "isDefault": false,
  "currency": "USD",
  "startAt": "2021-05-04T09:23:51.459Z",
  "endAt": "2021-06-09T09:23:51.459Z"
}'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/price-lists"

payload = {
    "name": "US price list",
    "isDefault": False,
    "currency": "USD",
    "startAt": "2021-05-04T09:23:51.459Z",
    "endAt": "2021-06-09T09:23:51.459Z"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'US price list',
    isDefault: false,
    currency: 'USD',
    startAt: '2021-05-04T09:23:51.459Z',
    endAt: '2021-06-09T09:23:51.459Z'
  })
};

fetch('https://api.fabric.inc/v3/price-lists', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/price-lists",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'US price list',
    'isDefault' => false,
    'currency' => 'USD',
    'startAt' => '2021-05-04T09:23:51.459Z',
    'endAt' => '2021-06-09T09:23:51.459Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/price-lists"

payload := strings.NewReader("{\n  \"name\": \"US price list\",\n  \"isDefault\": false,\n  \"currency\": \"USD\",\n  \"startAt\": \"2021-05-04T09:23:51.459Z\",\n  \"endAt\": \"2021-06-09T09:23:51.459Z\"}\")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Error Responses

- **201**: Created
  ```json
  {
    "id": 1000003,
    "name": "US price list",
    "isDefault": false,
    "currency": "USD",
    "createdAt": "2019-08-20T14:15:22.000Z",
    "updatedAt": "2019-08-20T14:15:22.000Z",
    "isDeleted": false,
    "channelId": "12",
    "startAt": "2021-05-04T09:23:51.459Z",
    "endAt": "2021-06-09T09:23:51.459Z"
  }
  ```

- **400**: Bad Request
  ```json
  {
    "type": "PRICE_LIST_NAME_EXISTS",
    "message": "Price list name already exists"
  }
  ```

- **401**: Unauthorized
  ```json
  {
    "type": "UNAUTHORIZED",
    "message": "Invalid credentials"
  }
  ```

- **500**: Internal Server Error
  ```json
  {
    "type": "INTERNAL_SERVER_ERROR",
    "message": "Internal server error"
  }
  ```

### Authorizations

#### Headers
- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
- **x-fabric-tenant-id**: A header used by fabric to identify the tenant making the request.
